/**
 * Extend the base Dialog entity by defining a custom window to perform roll.
 * @extends {Dialog}
 */

export class RdDEncaisser extends Dialog {
  
  /* -------------------------------------------- */  
  constructor(mode, html, rollData, actor) {
    let myButtons = { rollButton: {
                        label: "Lancer",
                        callback: html => this.performEncaisser(html, false)
                     } };    
    // Common conf
    let dialogConf = {          
      content: html,
      buttons: myButtons,
      default: "rollButton"
    }
    let dialogOptions = { classes: [ "rdddialog"] } 
    
    // Select proper roll dialog template and stuff
    dialogConf.title = "Jet d'Encaissement",
    dialogOptions.width =  600;
    dialogOptions.height = 360;
    super(dialogConf, dialogOptions);

    this.mode     = mode;
    this.rollData = rollData; 
    this.actor    = actor;    
  } 

  /* -------------------------------------------- */  
  performEncaisser (html, isReserve=false) {

  }

  /* -------------------------------------------- */  
	activateListeners(html) {
    super.activateListeners(html);
  }
  
}
